Name:           arduino
Epoch:          1
Version:        1.0.5
Release:        %mkrel 10
Summary:        An IDE for Arduino-compatible electronics prototyping platforms
Group:          Development/Tools
License:        GPLv2+ and LGPLv2+ and CC-BY-SA
URL:            http://www.arduino.cc/

# There are lots of binaries in the "source" tarball.  Remove them with:
# version=1.0.5; curl -L http://arduino.googlecode.com/files/arduino-$version-src.tar.gz | tar -xzf - && rm -r arduino-$version/build/linux/dist/tools/* && rm -r arduino-$version/hardware/arduino/firmwares/wifishield && find arduino-$version \( -type d \( -name macosx -o -name windows \) -o -type f \( -iname '*.jar' -or -iname '*.tgz' -or -iname '*.tar.gz' -or -iname '*.so' \) \) -print0 | xargs -0 rm -rf && tar -cJf arduino-$version.tar.xz arduino-$version
# See also http://code.google.com/p/arduino/issues/detail?id=193
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

# Use unbundled libs:
Patch0:         arduino-script.patch
Patch7:         arduino-no-avrdude64.patch
# Requested upstream in http://github.com/arduino/Arduino/pull/5:
Patch3:         arduino-use-system-rxtx.patch

# Requested upstream in http://github.com/arduino/Arduino/pull/6:
Patch4:         arduino-icons-etc.patch

Patch6:         arduino-add-to-groups.patch

BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  jpackage-utils
BuildRequires:  ant
BuildRequires:  ant-apache-regexp
BuildRequires:  desktop-file-utils
BuildRequires:  ecj
BuildRequires:  jna
BuildRequires:  rxtx
BuildRequires:  git
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-doc = %{epoch}:%{version}-%{release}
Requires:       java >= 0:1.6.0
Requires:       x11-font-alias
Requires:       ecj
Requires:       jna
Requires:       rxtx
Requires:       zenity
Requires:       perl
Requires:       polkit


%description
Arduino is an open-source electronics prototyping platform based on
flexible, easy-to-use hardware and software. It's intended for artists,
designers, hobbyists, and anyone interested in creating interactive
objects or environments.

This package contains an IDE that can be used to develop and upload code
to the micro-controller.

%files
%{_bindir}/*
%{_datadir}/%{name}/*.jar
%{_datadir}/%{name}/lib/
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/polkit-1/actions/cc.arduino.add-groups.policy
%{_mandir}/man1/%{name}.1.*
%{_datadir}/%{name}/reference

#--------------------------------------------------------------------

%package -n %{name}-core
Summary:        Files required for compiling code for Arduino-compatible micro-controllers
Group:          Development/C++
Requires:       cross-avr-gcc
Requires:       cross-avr-gcc-c++
Requires:       avr-libc
Requires:       avrdude


%description -n %{name}-core
Arduino is an open-source electronics prototyping platform based on
flexible, easy-to-use hardware and software. It's intended for artists,
designers, hobbyists, and anyone interested in creating interactive
objects or environments.

This package contains the core files required to compile and upload
Arduino code.

%files -n %{name}-core
%doc license.txt readme.txt todo.txt
%config(noreplace) %{_sysconfdir}/%{name}/boards.txt
%config(noreplace) %{_sysconfdir}/%{name}/programmers.txt
%config(noreplace) %{_sysconfdir}/%{name}/preferences.txt
%{_datadir}/%{name}/examples/
%{_datadir}/%{name}/hardware/
%{_datadir}/%{name}/libraries/

#--------------------------------------------------------------------

%package -n %{name}-doc
Summary:        Documentation for the Arduino micro-controller platform
Group:          Documentation
Requires:       cross-avr-gcc
Requires:       cross-avr-gcc-c++
Requires:       avr-libc
Requires:       avrdude


%description -n %{name}-doc
Arduino is an open-source electronics prototyping platform based on
flexible, easy-to-use hardware and software. It's intended for artists,
designers, hobbyists, and anyone interested in creating interactive
objects or environments.

This package contains reference documentation.

%files -n %{name}-doc
%{_defaultdocdir}/%{name}-%{version}/

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
%patch6 -p1 -b .add_to_groups
chmod a+rx build/linux/%{name}-add-groups
%patch0 -p1 -b .patch0
%patch3 -p1
%patch7 -p1 -b .no_avrdude64

# "git apply" fails silently if pwd is git-controlled.
pwd=`pwd`
cd /
git apply --directory=$pwd %{PATCH4}
cd $pwd

build-jar-repository -p -s app/lib/ ecj jna RXTXcomm


%build
cd core/methods
ant
cd ..
ant
cd ../build
echo %{version} | ant dist
tar -xf linux/%{name}-%{version}-linux.tgz


%install
cd build/%{name}-%{version}

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp -a arduino $RPM_BUILD_ROOT/%{_bindir}/

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -a hardware lib libraries examples $RPM_BUILD_ROOT/%{_datadir}/%{name}/
rm $RPM_BUILD_ROOT/%{_datadir}/%{name}/lib/*.jar
rm -r $RPM_BUILD_ROOT/%{_datadir}/%{name}/hardware/tools

mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}
cp -a reference $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}/
ln -s %{_defaultdocdir}/%{name}-%{version}/reference $RPM_BUILD_ROOT/%{_datadir}/%{name}/reference

# Requested upstream in http://github.com/arduino/Arduino/pull/4:
find $RPM_BUILD_ROOT -type f -iname *.jpg -or -iname *.java -or -iname *.pde -or -iname *.h -or -iname *.cpp -or -iname *.c -or -iname *.txt -or -iname makefile -or -iname key*.txt -or -iname pref*.txt | xargs chmod -x;

cp -a lib/core.jar lib/pde.jar $RPM_BUILD_ROOT/%{_datadir}/%{name}/

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/hardware/%{name}/boards.txt \
   $RPM_BUILD_ROOT/%{_datadir}/%{name}/hardware/%{name}/programmers.txt \
   $RPM_BUILD_ROOT/%{_datadir}/%{name}/lib/preferences.txt \
   $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/
ln -s %{_sysconfdir}/%{name}/boards.txt \
   $RPM_BUILD_ROOT/%{_datadir}/%{name}/hardware/%{name}/boards.txt
ln -s %{_sysconfdir}/%{name}/programmers.txt \
   $RPM_BUILD_ROOT/%{_datadir}/%{name}/hardware/%{name}/programmers.txt
ln -s %{_sysconfdir}/%{name}/preferences.txt \
   $RPM_BUILD_ROOT/%{_datadir}/%{name}/lib/preferences.txt

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cp -p ../linux/%{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications ../linux/%{name}.desktop

for dir in ../linux/icons/*; do
    size=`basename $dir`
    mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/$size/apps
    cp $dir/%{name}.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/$size/apps/
done

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp -a ../linux/%{name}-add-groups $RPM_BUILD_ROOT/%{_bindir}/

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/polkit-1/actions
cp -a ../linux/cc.arduino.add-groups.policy $RPM_BUILD_ROOT/%{_datadir}/polkit-1/actions




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.5-10.mga5
+ Revision: 747819
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.5-9.mga5
+ Revision: 677887
- Mageia 5 Mass Rebuild

* Sun May 04 2014 shlomif <shlomif> 1:1.0.5-8.mga5
+ Revision: 619958
- New version 1.0.5 (thanks to Red Hat)

* Fri Oct 18 2013 umeabot <umeabot> 1:1.0-8.mga4
+ Revision: 502592
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:1.0-7.mga3
+ Revision: 346024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 1:1.0-6.mga3
+ Revision: 302639
- update RPM group

* Wed Jan 25 2012 dmorgan <dmorgan> 1:1.0-5.mga2
+ Revision: 201554
- Install arduino-add-groups in %%_bindir

* Wed Jan 25 2012 dmorgan <dmorgan> 1:1.0-4.mga2
+ Revision: 201549
- Rediff arduino-script.patch too
- Launch userdrake ( for now ) to add groups ( mga #4185)

* Wed Jan 11 2012 dmorgan <dmorgan> 1:1.0-3.mga2
+ Revision: 194916
- Fix Requires in x11-font-alias

* Wed Jan 11 2012 dmorgan <dmorgan> 1:1.0-2.mga2
+ Revision: 194826
- Fix Require in avr-gcc

* Wed Jan 11 2012 dmorgan <dmorgan> 1:1.0-1.mga2
+ Revision: 194809
- New version 1.0

* Tue Jan 10 2012 dmorgan <dmorgan> 0022-1.mga2
+ Revision: 194628
- Fix requires
- FIx Requires in avr*
- Revert to version 0022
- New version 1.0
- imported package arduino


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0022-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 31 2010 Peter Oliver <rpm@mavit.org.uk> - 0022-2
- Prompt the user if they are not a member of the required groups, rather than failing silently.

* Thu Dec 30 2010 Peter Oliver <rpm@mavit.org.uk> - 0022-1
- Update to 0022 release (#666309).
- Use the new upstream source tarball rather than git.
- Drop oro requirement and related patch, since it is no-longer used.

* Fri Dec 17 2010 Peter Oliver <rpm@mavit.org.uk> - 0021-2
- Patch boards.txt to use the "arduino" programmer type for Uno boards,
  allowing Fedora's version of avrdude to work with these boards.

* Thu Oct  7 2010 Peter Oliver <rpm@mavit.org.uk> - 0021-1
- New upstream release 0021.
- Add patch for new upstream icons.
- Override device scan in RXTX to allow use of Arduino Uno.

* Mon Sep 20 2010 Peter Oliver <rpm@mavit.org.uk> - 0019-6
- Explictly mention documentation with doc macro.
- Move reference documentation into -doc package.

* Thu Sep  9 2010 Peter Oliver <rpm@mavit.org.uk> - 0019-5
- Add missing BuildRequires.
- Use build-jar-repository to locate java libraries to build against.
- Eliminate cross-package symlinks.

* Wed Sep  8 2010 Peter Oliver <rpm@mavit.org.uk> - 0019-4
- Make sure all jars are removed from the source bundle.
- Add missing documentation.

* Tue Sep  7 2010 Peter Oliver <rpm@mavit.org.uk> - 0019-3
- Split into two packages, making the IDE optional to install.
- Build during the build phase not the install phase.
- More dependencies.

* Mon Sep  6 2010 Peter Oliver <rpm@mavit.org.uk> - 0019-2
- Expanded dependencies.

* Sun Sep  5 2010 Peter Oliver <rpm@mavit.org.uk> - 0019-1
- Initial version.  Based in part on the Debian package.
